## libqapt-qt6 3.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(qapt-qt6)

set(PROJECT_VERSION_MAJOR 3)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 6)
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
set(PROJECT_SOVERSION ${PROJECT_VERSION_MAJOR})

if (NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})
endif()

set(QAPT_INCLUDE_DIRS ${INCLUDE_INSTALL_DIR})

if (NOT DEFINED CMAKECONFIG_INSTALL_PREFIX)
    set(CMAKECONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/cmake")
endif()

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Xapian REQUIRED)
find_package(AptPkg REQUIRED)

# Find the required Libaries
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${XAPIAN_INCLUDE_DIR}
    ${APTPKG_INCLUDE_DIR})

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX QAPT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QApt-qt6ConfigVersion.cmake"
                  SOVERSION ${PROJECT_SOVERSION})

set(QAPT_WORKER_VERSION ${PROJECT_SOVERSION})
set(QAPT_WORKER_RDN org.kubuntu.qaptworker)
set(QAPT_WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN}${QAPT_WORKER_VERSION})

# For forwarding into C++ convert them into properly excaped strings.
set(QAPT_WORKER_VERSION_STRING \"${QAPT_WORKER_VERSION}\")
set(QAPT_WORKER_RDN_VERSIONED_STRING \"${QAPT_WORKER_RDN_VERSIONED}\")

add_definitions(-DQAPT_WORKER_VERSION_STRING=${QAPT_WORKER_VERSION_STRING})
add_definitions(-DQAPT_WORKER_RDN_VERSIONED_STRING=${QAPT_WORKER_RDN_VERSIONED_STRING})

# Also forward version for utils.
add_definitions(-DCMAKE_PROJECT_VERSION=\"${PROJECT_VERSION}\")

# find_package(DebconfKDE 1.0)
# find_package(GStreamer 1.0)
find_package(GLIB2 2.0)

# Find Qt version
find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
message("   >>> Found Qt version: ${QT_VERSION_MAJOR}")
set(QT_DESIRED_VERSION ${QT_VERSION_MAJOR})

# if (KF5CoreAddons_FOUND
#         AND KF5I18n_FOUND
#         AND KF5KIO_FOUND
#         AND KF5Runner_FOUND
#         AND KF5TextWidgets_FOUND
#         AND KF5WidgetsAddons_FOUND
#         AND KF5WindowSystem_FOUND
#         AND KF5IconThemes_FOUND
#         AND DebconfKDE_FOUND)
#     set(WITH_UTILS true)
# endif()

# if (WITH_UTILS AND GSTREAMER_FOUND AND GLIB2_FOUND)
#     set(WITH_GSTREAMER true)
#     add_definitions(${GSTREAMER_DEFINITIONS})
# endif()

# add_feature_info(qapt-utils WITH_UTILS "Runtime utilities using KDE frameworks")
# add_feature_info(qapt-gst-helper WITH_GSTREAMER "GStreamer codec helper util")

# message(WARNING "gettext and tr in the same source is insanely tricky, maybe we should give some ki18n to qapt...")
if (QT_DESIRED_VERSION MATCHES 5)
include(ECMPoQmTools)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/QApt-qt6")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QAptConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QApt-qt6Config.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/QApt-qt6Config.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/QApt-qt6ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)
install(EXPORT QApt-qt6Targets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE QApt-qt6Targets.cmake
        NAMESPACE QApt:: )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/qapt
        COMPONENT Devel)

# add_subdirectory(autotests)
add_subdirectory(src)

# if(WITH_UTILS)
#     add_subdirectory(utils)

#     #Do not remove or modify these.  The release script substitutes in for these
#     #comments with appropriate doc and translation directories.
#     #PO_SUBDIR
#     #DOC_SUBDIR
# endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lib${PROJECT_NAME}.pc.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}.pc
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(LIBNAME QApt-qt6)

set(qapt_SRCS
    backend.cpp
    cache.cpp
    package.cpp
    config.cpp
    history.cpp
    debfile.cpp
    dependencyinfo.cpp
    changelog.cpp
    transaction.cpp
    downloadprogress.cpp
    markingerrorinfo.cpp
    sourceentry.cpp
    sourceslist.cpp)

set(qt_required_components Core DBus Widgets)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND qt_required_components Core5Compat)
endif()

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(PolkitQt${QT_DESIRED_VERSION}-1)

set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::Widgets
)

add_subdirectory(worker)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    APPEND PROPERTY
        INCLUDE downloadprogress.h
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    APPEND PROPERTY
        NO_NAMESPACE 1
)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)

    message("Qt6 terrible use of transaction xml file")
    qt_add_dbus_interface(qapt_SRCS
                       ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
                       transactioninterface_p)

    message("Qt6 terrible use of  worker xml file")
    qt_add_dbus_interface(qapt_SRCS
                            ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.xml
                            workerinterface_p)

else()
    message("terrible use of transaction xml file")
    qt5_add_dbus_interface(qapt_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
                        transactioninterface_p)

    message("terrible use of  worker xml file")
    qt5_add_dbus_interface(qapt_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.xml
                        workerinterface_p)
endif()

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.xml
    APPEND PROPERTY
        NO_NAMESPACE 1
)

configure_file(dbusinterfaces_p.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/dbusinterfaces_p.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(${LIBNAME} SHARED ${qapt_SRCS})
add_library(${LIBNAME}::Main ALIAS ${LIBNAME})

# Set header paths for target so the utils can find them.
target_include_directories(${LIBNAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")
target_include_directories(${LIBNAME} INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/QApt>" )

set_target_properties(${LIBNAME}
    PROPERTIES
    VERSION ${QAPT_VERSION_STRING}
    SOVERSION ${QAPT_SOVERSION}
    EXPORT_NAME Main)

target_link_libraries(${LIBNAME}
    PUBLIC
        ${LINK_LIBS}
        ${APTPKG_LIBRARIES}
    PRIVATE
        Qt${QT_DESIRED_VERSION}::DBus
        ${XAPIAN_LIBRARIES})

install(TARGETS ${LIBNAME} EXPORT QApt-qt6Targets LIBRARY DESTINATION ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(QAPT_CAMEL_CASE_HEADERS
    HEADER_NAMES
        Backend
        Changelog
        Config
        DebFile
        DependencyInfo
        DownloadProgress
        Globals
        History
        MarkingErrorInfo
        Package
        SourceEntry
        SourcesList
        Transaction

  REQUIRED_HEADERS QAPT_HEADERS
  PREFIX QApt)

install(FILES ${QAPT_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/qapt COMPONENT Devel)
install(FILES ${QAPT_CAMEL_CASE_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/QApt COMPONENT Devel)

=== src/worker/CMakeLists.txt ===
set(WORKER_NAME qaptworker${QAPT_WORKER_VERSION}-qt6)
set(WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN_VERSIONED}-qt6)

configure_file(org.kubuntu.qaptworker.transaction.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml)
configure_file(org.kubuntu.qaptworker.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml)
configure_file(org.kubuntu.qaptworker.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.service)
configure_file(qaptworker.actions.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.actions)
configure_file(org.kubuntu.qaptworker.policy.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.policy)
configure_file(org.kubuntu.qaptworker.conf.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.conf)
configure_file(urihelper.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/urihelper.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src)

set(qapt_worker_SRCS
    main.cpp
    aptlock.cpp
    aptworker.cpp
    transaction.cpp
    transactionqueue.cpp
    workeracquire.cpp
    workerdaemon.cpp
    workerinstallprogress.cpp)

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS Core DBus)

if (QT_DESIRED_VERSION MATCHES 6)
    qt_add_dbus_adaptor(qapt_worker_adaptor_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
        transaction.h
        Transaction
        transactionadaptor
        TransactionAdaptor)

    qt_add_dbus_adaptor(qapt_worker_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml
        workerdaemon.h
        WorkerDaemon
        workeradaptor
        WorkerAdaptor)
else()
    qt5_add_dbus_adaptor(qapt_worker_adaptor_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
        transaction.h
        Transaction
        transactionadaptor
        TransactionAdaptor)

    qt5_add_dbus_adaptor(qapt_worker_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml
        workerdaemon.h
        WorkerDaemon
        workeradaptor
        WorkerAdaptor)
endif()

add_executable(${WORKER_NAME}
    ${qapt_worker_SRCS}
    ${qapt_worker_adaptor_SRCS})

target_link_libraries(${WORKER_NAME}
    Qt${QT_DESIRED_VERSION}::DBus
    PolkitQt${QT_DESIRED_VERSION}-1::Core
    util
    QApt-qt6::Main)

install(TARGETS ${WORKER_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

if (NOT DEFINED DBUS_SYSTEM_SERVICES_INSTALL_DIR)
    set(DBUS_SYSTEM_SERVICES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services/")
endif()

if (NOT DEFINED SYSCONF_INSTALL_DIR)
    set(SYSCONF_INSTALL_DIR "/etc")
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.service
        DESTINATION ${DBUS_SYSTEM_SERVICES_INSTALL_DIR})

if(KF5Auth_FOUND)
    kauth_install_actions(${QAPT_WORKER_RDN_VERSIONED} ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.actions)
else()
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.policy
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.conf
    DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)

=== debian/changelog ===
libqapt-qt6 (3.0.7) unstable; urgency=medium

  * chore: Make a Qt6 support version

 -- re2zero <yangwu@uniontech.com>  Thu, 7 Jan 2025 19:13:31 +0800

=== debian/rules ===
#!/usr/bin/make -f

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
	-DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DQT_DIR=$(QT_DIR)

override_dh_auto_test:
	# Disable dh_auto_test
	:

override_dh_strip:
	dh_strip --dbgsym-migration='qapt-dbg (<< 3.0.3-1~)'

## libqapt-qt6 3.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
                   SOVERSION ${PROJECT_SOVERSION})
 
 set(QAPT_WORKER_VERSION ${PROJECT_SOVERSION})
-set(QAPT_WORKER_RDN org.kubuntu.qaptworker)
+set(QAPT_WORKER_RDN org.kubuntu.qapt6worker)
 set(QAPT_WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN}${QAPT_WORKER_VERSION})
 
 # For forwarding into C++ convert them into properly excaped strings.

=== src/worker/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,17 @@
-set(WORKER_NAME qaptworker${QAPT_WORKER_VERSION}-qt6)
-set(WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN_VERSIONED}-qt6)
+set(WORKER_NAME qapt6worker${QAPT_WORKER_VERSION})
 
 configure_file(org.kubuntu.qaptworker.transaction.xml.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml)
 configure_file(org.kubuntu.qaptworker.xml.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml)
 configure_file(org.kubuntu.qaptworker.service.cmake
-    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.service)
+    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service)
 configure_file(qaptworker.actions.cmake
-    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.actions)
+    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
 configure_file(org.kubuntu.qaptworker.policy.cmake
-    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.policy)
+    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy)
 configure_file(org.kubuntu.qaptworker.conf.cmake
-    ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.conf)
+    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf)
 configure_file(urihelper.h.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/urihelper.h)
 
@@ -83,15 +82,15 @@
     set(SYSCONF_INSTALL_DIR "/etc")
 endif()
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.service
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service
         DESTINATION ${DBUS_SYSTEM_SERVICES_INSTALL_DIR})
 
 if(KF5Auth_FOUND)
-    kauth_install_actions(${QAPT_WORKER_RDN_VERSIONED} ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.actions)
+    kauth_install_actions(${QAPT_WORKER_RDN_VERSIONED} ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
 else()
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.policy
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy
         DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
 endif()
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WORKER_RDN_VERSIONED}.conf
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf
     DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)

=== debian/changelog ===
libqapt-qt6 (3.0.9) unstable; urgency=medium

  * fix: Failed to install the software package

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 08 Jul 2025 15:46:00 +0800

libqapt-qt6 (3.0.8) unstable; urgency=medium

  * fix bug

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 01 Jul 2025 20:39:11 +0800

=== debian/control ===
Source: libqapt-qt6
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Floris-Andrei Stoica-Marcu <floris.sm@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 0.0.14),
               gettext,
               libapt-pkg-dev (>= 0.8.0),
               libglib2.0-dev,
               qt6-base-dev | qtbase5-dev,
               qt6-tools-dev-tools | qttools5-dev-tools,
               qt6-tools-dev | qttools5-dev,
               qt6-5compat-dev | qtchooser,
               libpolkit-qt6-1-dev | libpolkit-qt5-1-dev,
               libxapian-dev,
               pkg-config,
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/libqapt.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qapt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qapt.git

Package: libqapt3-qt6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqapt3-qt6-runtime (= ${binary:Version})
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapt-pkg-dev,
         libqapt3-qt6 (= ${binary:Version}),
         qt6-base-dev | qtbase5-dev,
         ${misc:Depends}
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt3-qt6-runtime
Architecture: any
Depends: dde-polkit-agent | polkit-kde-agent-1 | policykit-1-gnome,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.
